isis2std changed default usage -- no auto extension and no worldfile
Status: Closed   

Priority: Normal   

Assignee: Marjorie Hahn   

Category: Applications   

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)   

Impact: Modified JP2Exporter, ImageExporter,

TiffExporter, and QtExporter's write()

methods to add an extension to the file

that it creates.

Software Version:  

Description

from discussion site:

https://isis.astrogeology.usgs.gov/IsisSupport/index.php/topic,3516.msg13786.html#msg13786

Hi guys,

I just updated my ISIS to the 64bit Mac OS using

rsync -azv --delete --partial isisdist.astrogeology.usgs.gov::x86-64_darwin_OSX/isis .

It appears that there are two changes in the isis2std.

- First, file types are not appended to the end of filenames.  You can no longer do "...TO=out" and get out.png.  This is no big deal,

but it is nice to know.

- Second, the world files (needed for ArcGIS) are not being generated.  I tested the cub that I did spiceinit and it has lat/lon

coordinates in it, but when I generated a png or j2000, I didn't get and world files.  The on-line documentation says that if there are

mapping labels, then it will generate them. 

How do I generate world files for images?

Thanks

Eric

Steps to reproduce:

Run isis2std on a map projected image.

Related issues:

Related to ISIS - Bug #832: isis2std - no longer creates world file for jp2 f... Closed

History

#1 - 2012-09-19 05:19 PM - Tammy Becker

Unassigned from Janet based on new funding and direction for FY13.

#2 - 2012-12-03 10:12 AM - Lynn Weller

If the extension will no longer be automatically generated for the output name the documentation will have to be updated.  Currently it says NOT to

enter an

extension as one will automatically be generated.  I would vote to bring back the

auto-extension if possible.

#3 - 2013-08-15 10:41 AM - Anonymous

- Target version deleted (150)

#4 - 2014-05-23 04:25 PM - Stuart Sides
https://isis.astrogeology.usgs.gov/IsisSupport/index.php/topic,3516.msg13786.html#msg13786


- Target version set to 3.4.7 (2014-08-27 Aug)

#6 - 2014-09-08 11:11 AM - Stuart Sides

- Target version changed from 3.4.7 (2014-08-27 Aug) to 159

#7 - 2014-10-16 09:14 AM - Tammy Becker

I've tested this under isis3.4.7 and if the user offers no file extension with the output filename in the "TO" parameter, the application does not add the

extension at all whether or not the user selects tiff, or jp2 (I did not test every output choice).  The file is created without an extension at all.   

The world files are created with an appropriate file extension that is reflective of the selected output type...it is messy though, if a user does specify an

output extension, such as to=output.tiff  then the world file is output.tiff.tfw.   A user would expect output.tfw for the tiff with the corresponding

output.tiff output file.

#11 - 2014-12-04 03:06 PM - Stuart Sides

- Target version deleted (159)

#15 - 2016-06-13 03:17 PM - Stuart Sides

- Status changed from Acknowledged to Assigned

- Assignee set to Marjorie Hahn

- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)

#16 - 2016-06-14 09:41 AM - Marjorie Hahn

- Status changed from Assigned to In Progress

#17 - 2016-06-16 02:12 PM - Marjorie Hahn

- Status changed from In Progress to Resolved

- Impact updated

The output file should now have the appropriate extension based on the given format, regardless of whether or not the user enters the extension in

the "TO" parameter. The application seems to be creating the world files as expected, as long as there are mapping labels in the input cube. The user

mentions using spiceinit on the cube and then attempting to generate world files from it via isis2std. However, the application spiceinit will not create a

projected cube alone, cam2map must be run after generating SPICE data in order to get a projected cube.

#18 - 2016-06-17 11:28 AM - Tammy Becker

I was going to test this fix from astrovm1.  Can it compiled for astrovm1?!

Thank you!

#19 - 2016-06-22 12:47 PM - Tammy Becker

I tested this with and without the file extensions.

It adds the chosen format extension if the user doesn't supply it.

It remains clean with the detached world file; meaning if the user does add an extension, the world file keeps it's own.

Heads up though, the Format parameter choice presented to the user is TIFF, which is not consistent with what is created for a file extension which is

.tif.  Also with JPEG (.jpg).   

If the user enters .tiff or .jpeg, then .tif (.tfw) and .jpg (.jpw) are appended to the output names.  If the user doesn't know the proper extension, it is best

not to enter the extension with the TO filename in order for clean output.
Modifying the user parameter values could be touchy for backwards compatibility and folks using this program in a pipeline--not sure it's worth

changing.

#20 - 2016-07-05 05:30 PM - Trent Hare

- Status changed from Resolved to Feedback

Also tested and extensions appear to be working. Apparently GIS worldfiles have probably been working the whole time but the user must use a map

projected image for the worldfile to be written. I viewed files in ArcMap and TuiView (simple GIS viewer for all machines). Unfortunately a GIS

worldfile is not really a full-featured GIS export. To do that we would need to support a proper Geotiff or Geojpeg2000 labels. For properly labeled GIS

files, exporting ISIS cubes from QGIS, ArcMap, GDAL tools should be used. 

I will let another close the ticket unless I need to.

-Trent 

#21 - 2016-07-08 10:17 AM - Trent Hare

- Status changed from Feedback to Closed
